
Name:           report
Version:        0.7
Release:        1%{?dist}
Summary:        Incident reporting library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://fedorahosted.org/report
Source0:        http://fedorahosted.org/released/report/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: python-report = %{version}-%{release} 

BuildRequires: python-devel

BuildRequires: openssl-devel
Requires: openssl

%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires: curl-devel
%else
BuildRequires: libcurl-devel
%endif  

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%description
A generic problem/bug/incident/error reporting library, that can be 
configured to deliver a report to a variety of different ticketing 
systems.



%package gtk
Summary:        GTK IO for reporting library
Group:          System Environment/Libraries

Requires: pygtk2
Requires: report = %{version}-%{release}

%description gtk
Provides GTK IO dialogs for the reporting library



%package plugin-bugzilla
Summary:        Plugin template reporter to bugzilla
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}
Requires: rpm-python
Requires: python-bugzilla

%description plugin-bugzilla
Plugin template reporter to bugzilla



%package plugin-RHEL
Summary:        Plugin template reporter to RHEL
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}
Requires: rpm-python

%description plugin-RHEL
Plugin template reporter to RHEL



%package config-bugzilla-redhat-com
Summary:        Config for reporter to bugzilla.redhat.com
Group:          System Environment/Libraries

Requires: report-plugin-bugzilla = %{version}-%{release}

%description config-bugzilla-redhat-com
Config for reporter to bugzilla.redhat.com



%package config-RHEL
Summary:        Config for reporter to RHEL
Group:          System Environment/Libraries

Requires: report-plugin-RHEL = %{version}-%{release}

%description config-RHEL
Config for reporter to RHEL





%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT





%files
%defattr(-,root,root,-)
%doc README LICENCE
%dir %{python_sitelib}/report
%{python_sitelib}/report/__init__.py*
%{python_sitelib}/report/accountmanager.py*
%dir %{python_sitelib}/report/io
%{python_sitelib}/report/io/__init__.py*
%{python_sitelib}/report/io/TextIO.py*
%dir %{python_sitelib}/report/alternatives
%{python_sitelib}/report/alternatives/__init__.py*
%{python_sitelib}/report/alternatives/scp.py*
%{python_sitelib}/report/alternatives/localsave.py*
%dir %{python_sitelib}/report/templates
%{python_sitelib}/report/templates/__init__.py*
%dir %{_sysconfdir}/report.d
%{_bindir}/report-sendfile
%{_bindir}/report-sendfile-unload-receipt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/report-sendfile.conf

%files gtk
%defattr(-,root,root,-)
%{python_sitelib}/report/io/GTKIO.py*

%files plugin-bugzilla
%defattr(-,root,root,-)
%{python_sitelib}/report/templates/bugzilla-template

%files plugin-RHEL
%defattr(-,root,root,-)
%{python_sitelib}/report/templates/RHEL-template

%files config-bugzilla-redhat-com
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/bugzilla.redhat.com.ini

%files config-RHEL
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/RHEL.ini







%changelog
* Thu Jan 28 2010 Gavin Romig-Koch <gavin@redhat.com> 0.7-1
- upgrade to 0.7
- correct the Requires: for config-RHEL
- improve localcopy plugin

* Mon Jan  4 2010 Gavin Romig-Koch <gavin@redhat.com> 0.6-1
- Add suffix to files in '/etc/report.d/'
- Create RHEL-template which doesn't depend on a separate python-bugzilla
- Correct bugs in report::report template loading which caused the same
   template to be loaded multiple times, and the wrong templates to be used
- Correct a open file leak
- Merge the fastback command into report
- Rename fastback to report-sendfile
- Correct button response bugs in GTKIO

* Thu Dec 17 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- More cleanups/corrections from Fedora review:
  - added provides for python-report
  - reorg'd sub-package specfile sections to be more std
  - correct sub-package use of Build* and Requires:
  - include LICENCE text in both dist tarball and rpms.
  - other minor cleanups

* Thu Dec 10 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- convert alternatives/redhat_bugzilla to templates/bugzilla-template

* Tue Dec 08 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-2
- Cleanups/Corrections from Fedora review:
  - Added GPL2 Licencing file and headers
  - removed unnecessary catcut plugin
  - correct Source0: and Group: headers
  - other misc. spec file problems

* Tue Dec 01 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-1
- Split out the GTK IO into its own rpm
- Split out the bugzilla and catcut plugins into their own rpms

* Mon Nov 23 2009 Gavin Romig-Koch <gavin@redhat.com> 0.3-1
- Convert to using Autotools

* Wed Nov 18 2009 Gavin Romig-Koch <gavin@redhat.com> 0.2-1
- significant changes

* Wed Oct 28 2009 Gavin Romig-Koch <gavin@redhat.com> 0.1-1
- initial version

